For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
  • Disbursements
  • Gift Processing
      • GETList Properties
      • GETGet a Property
      • GETList Property Options
      • POSTAssign a Property
LogoLogo
Contact usLogin
Gift ProcessingProperties

List Property Options

GET
/v1/properties/:id/options
GET
/v1/properties/:id/options
$curl https://api.givechariot.com/v1/properties/property_01j8rs605a4gctmbm58d87mvsj/options \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "string",
5 "name": "string",
6 "description": "string"
7 }
8 ],
9 "next_page_token": "string"
10}
List all options for an enum or user property.
Was this page helpful?
Previous

Assign a Property

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the property

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.

Response

The response for Properties.listOptions
resultslist of objects
next_page_tokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error